import { useContext, useState } from "react";
import { CartContext } from "../cartContext";
import Cart from "../cartProducts";

const Navbar = () => {
  const { cartItems } = useContext(CartContext);
  const [showModal, setShowModal] = useState(false);

  const toggle = () => {
    setShowModal(!showModal);
  };

  return (
    <div>
      <nav className="flex justify-between items-center max-w-6xl mx-auto">
        <h1 className="text-2xl font-bold tracking-widest">Assignment-5</h1>
        <ul className="flex space-x-6 text-lg">
          <li className="hover:text-gray-300 transition duration-300 cursor-pointer">
            Home
          </li>
          <li className="hover:text-gray-300 transition duration-300 cursor-pointer">
            Products
          </li>
          <li className="hover:text-gray-300 transition duration-300 cursor-pointer">
            Checkout
          </li>
          <li>
            {!showModal && (
              <button
                className="px-4 py-2 bg-white text-black text-xs font-bold uppercase rounded hover:bg-slate-300 focus:outline-none focus:bg-slate-300"
                onClick={toggle}
              >
                Cart ({cartItems?.length})
              </button>
            )}
          </li>
        </ul>
      </nav>
      <Cart showModal={showModal} toggle={toggle} />
    </div>
  );
};

export default Navbar;
