/* eslint-disable react/prop-types */
import { useContext } from "react";
import { CartContext } from "../cartContext";

const ProductCard = ({ product }) => {
  const { addToCart } = useContext(CartContext);

  return (
    <div className="max-w-xs rounded-lg border border-gray-200 bg-white shadow-md transform transition duration-500 hover:scale-105">
      <img
        src={product?.image}
        alt={product?.title}
        className="w-full h-48 object-cover rounded-t-lg mt-4"
      />
      <div className="p-4">
        <h3 className="text-lg font-semibold text-gray-800">
          {product?.title}
        </h3>
        <p className="text-gray-600 text-justify">{product?.description}</p>
        <p className="mt-2 text-xl font-bold text-gray-900 underline">
          ${product?.price}
        </p>
        <p className="mt-2 text-xl text-gray-900">
          Category: {product?.category}
        </p>
        <p className="mt-2 text-m text-gray-900">{product?.rating?.rate}⭐️ </p>
        <button
          onClick={() => addToCart(product)}
          className="flex px-4 py-2 items-center bg-gray-800 text-white text-xs font-bold uppercase rounded hover:bg-gray-700 focus:outline-none focus:bg-gray-700 mt-4 "
        >
          Add to cart
        </button>
      </div>
    </div>
  );
};

export default ProductCard;
